<div class="offer-card">
  <div class="offer-card__expand">
    <img src="assets/icons/expand-icon.svg" alt="">
  </div>
  <div class="offer-card__amount">
    <span>Amount</span>
    <p>{{ offer.formattedAmount }}</p>
  </div>
  <div class="offer-card__price">
    <span>RUB</span>
    <p>{{ offer.rate.price / 100 }}</p>
  </div>
  <div class="offer-card__reserved-at" *ngIf="offer.reservedAt">
    <span>Reserved At</span>
    <p>{{ offer.reservedAt | date }}</p>
  </div>
  <div class="offer-card__published-at">
    <span>Published At</span>
    <p>{{ offer.publishedAt | date }}</p>
  </div>
  <div class="divider"></div>
  <div class="offer-card__owner">
    <span>Owner</span>
    <app-user-preview-card [user]="offer.owner"></app-user-preview-card>
  </div>
  <div class="divider"></div>
  <div class="offer-card__reserved-by" *ngIf="offer.reservedBy">
    <span>Reserved by</span>
    <app-user-preview-card [user]="offer.reservedBy"></app-user-preview-card>
  </div>
  <app-bank-details-card *ngIf="offer.bankDetails" [bankDetails]="offer.bankDetails"></app-bank-details-card>
  <div class="divider"></div>
  <div class="offer-card__info">
    <app-offer-type-large [type]="offer.type"></app-offer-type-large>
    <app-offer-status-large [status]="offer.status"></app-offer-status-large>
  </div>
  <div class="offer-card__action" *ngIf="offer.canBeClosed">
    <button
      class="offer-card__button offer-card__button--close"
      (click)="closeOffer()"
    >Закрыть сделку</button>
  </div>
</div>
